Generated from the live OpenAPI document — 2026-10-19.This group has no curated guide page.All routes require Authorization: Bearer atamaia_… and return ApiEnvelope<T>({ ok, requestId, data, error, errorCode, count, hint }); the schemas below show thedata payload. * marks required properties.

Operations

MethodPathSummary / bodyResponses
GET /api/public/projects/{projectId}/blog 200 PagedResultOfDocListDto
GET /api/public/projects/{projectId}/docs/{slug} 200 DocDto
GET /api/public/projects/{projectId}/docs/nav 200 DocNavTreeDto

Schemas

Request and response shapes referenced by the operations above. Nested types named here are also defined under their own group or inthe group index.

DocDto

PropertyTypeDescription
id int64
guid uuid
projectId int64
path string
title string
content string
type DocType
isPinned boolean
hasEmbedding boolean
parentDocId int64
sortOrder int32
isGroup boolean
isPublished boolean
classification DocClassification
includeInNav boolean
version int32
publishedAtUtc date-time
slug null,string
excerpt null,string
coverImageUrl null,string
icon null,string
tags null,string
prevDoc null | DocLinkDto
nextDoc null | DocLinkDto
createdAtUtc date-time
updatedAtUtc date-time

DocNavTreeDto

PropertyTypeDescription
roots DocNavNodeDto[]

PagedResultOfDocListDto

PropertyTypeDescription
items* DocListDto[]
totalCount int32
page int32
pageSize int32
hasTotal boolean
moreAvailable null,boolean
totalPages int32
hasNextPage boolean
hasPreviousPage boolean